<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@workgrid/micro-app](./micro-app.md) &gt; [MicroApp](./micro-app.microapp.md) &gt; [(constructor)](./micro-app.microapp._constructor_.md)

## MicroApp.(constructor)

> This API is provided as a preview for developers and may change based on feedback that we receive. Do not use this API in a production environment.
> 

Constructs a new instance of the `MicroApp` class

<b>Signature:</b>

```typescript
constructor({ audience, onError, id }?: MicroAppOptions);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  { audience, onError, id } | [MicroAppOptions](./micro-app.microappoptions.md) |  |

